# Class AbstractQueryReport.StatementProxy

java.lang.Object
org.apache.tomcat.jdbc.pool.interceptor.AbstractQueryReport.StatementProxy

All Implemented Interfaces:
  `InvocationHandler`

Enclosing class:
  `AbstractQueryReport`

protected class AbstractQueryReport.StatementProxy extends Object implements InvocationHandler
Class to measure query execute time

## Field Summary

Fields
Modifier and Type
Field
Description
`protected boolean`
`closed`
`protected Object`
`delegate`
`protected final String`
`query`

## Constructor Summary

Constructors
Constructor
Description
`StatementProxy(Object parent, String query)`

## Method Summary

Modifier and Type
Method
Description
`Object`
`invoke(Object proxy, Method method, Object[] args)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### closed

protected boolean closed

### delegate

protected Object delegate

### query

protected final String query

## Constructor Details

### StatementProxy

public StatementProxy(Object parent, String query)

## Method Details

### invoke

public Object invoke(Object proxy, Method method, Object[] args) throws Throwable

Specified by:
  `invoke` in interface `InvocationHandler`
Throws:
  `Throwable`